# Language: Belarusian
---
outlines:
    default:        { width: 32.415,  height: 52 }
    change-view:    { width: 32.415,  height: 52 }
    change-view-2:  { width: 64.83,   height: 52 }
    fill:           { width: 64.83,   height: 52 }
    large:          { width: 35.656,  height: 52 }
    spaceline:      { width: 90.763,  height: 52 }
    spaceline-fill: { width: 155.593, height: 52 }
    special:        { width: 32.415,  height: 52 }
    special-2:      { width: 35.656,  height: 52 }
    special-3:      { width: 64.83,   height: 52 }

views:
    base:
        - "й ц у к е н г ш ў з х"
        - "ф ы в а п р о л д ж э"
        - "show_upper я ч с м і т ь б ю BackSpace"
        - "show_numbers preferences ё space , . Return"
    upper:
        - "Й Ц У К Е Н Г Ш Ў З Х"
        - "Ф Ы В А П Р О Л Д Ж Э"
        - "show_upper Я Ч С М І Т Ь Б Ю BackSpace"
        - "show_numbers preferences Ё space , . Return"
    numbers:
        - "1 2 3 4 5 6 7 8 9 0 ²"
        - "@ # $ % & - _ + ( ) ³"
        - "show_symbols , \" ' : ; ! ? BackSpace-wide"
        - "show_letters preferences space-fill . Return"
    symbols:
        - "~ ` | · √ π τ ÷ × ¶ ²"
        - "© ® £ € ¥ ^ ° * { } ³"
        - "show_numbers \\ / < > = [ ] BackSpace-wide"
        - "show_letters preferences space-fill . Return"

buttons:
    show_upper:
        action:
            locking:
                lock_view: "upper"
                unlock_view: "base"
        outline: "change-view"
        icon: "key-shift"
    BackSpace:
        outline: "special"
        icon: "edit-clear-symbolic"
        action: "erase"
    BackSpace-wide:
        outline: "special-3"
        icon: "edit-clear-symbolic"
        action: "erase"
    preferences:
        action: "show_prefs"
        outline: "special-2"
        icon: "keyboard-mode-symbolic"
    show_numbers:
        action:
            set_view: "numbers"
        outline: "change-view-2"
        label: "123"
    show_letters:
        action:
            set_view: "base"
        outline: "change-view-2"
        label: "АБВ"
    show_symbols:
        action:
            set_view: "symbols"
        outline: "change-view-2"
        label: "*/="
    .:
        outline: "large"
    space:
        outline: "spaceline"
        text: " "
    space-fill:
        outline: "spaceline-fill"
        text: " "
    Return:
        outline: "special-3"
        icon: "key-enter"
        keysym: "Return"
